part of 'development_diagram_bloc.dart';

abstract class DevelopmentDiagramState extends Equatable {
  const DevelopmentDiagramState();

  @override
  List<Object> get props => [];
}

class DevelopmentDiagramInitial extends DevelopmentDiagramState {
  const DevelopmentDiagramInitial();
}

class DevelopmentDiagramLoading extends DevelopmentDiagramState {
  const DevelopmentDiagramLoading();
}

class DevelopmentDiagramReady extends DevelopmentDiagramState {
  const DevelopmentDiagramReady();
}

class DevelopmentDiagramError extends DevelopmentDiagramState {
  final String message;
  const DevelopmentDiagramError({required this.message});

  @override
  List<Object> get props => [this.message];
}
